be.fgov.ehealth.genericinsurability.core.v1

## Class RecordCommonOutputType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.RecordCommonOutputType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:05:50+01:00",
                 comments="JAXB RI v2.2.11")
      public class RecordCommonOutputType
      extends Object
      implements Serializable

  Java class for RecordCommonOutputType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RecordCommonOutputType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="InputReference" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}Num14ReferenceType" minOccurs="0"/>
               <element name="OutputReference" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}Num14ReferenceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordCommonOutputType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getInputReference()` Gets the value of the inputReference property.
    `BigDecimal` | `getOutputReference()` Gets the value of the outputReference property.
    `void` | `setInputReference(BigDecimal value)` Sets the value of the inputReference property.
    `void` | `setOutputReference(BigDecimal value)` Sets the value of the outputReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordCommonOutputType

          public RecordCommonOutputType()

  - ### Method Detail

    - #### getInputReference

          public BigDecimal getInputReference()

      Gets the value of the inputReference property.
      Returns:
        possible object is `BigDecimal`

    - #### setInputReference

          public void setInputReference(BigDecimal value)

      Sets the value of the inputReference property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getOutputReference

          public BigDecimal getOutputReference()

      Gets the value of the outputReference property.
      Returns:
        possible object is `BigDecimal`

    - #### setOutputReference

          public void setOutputReference(BigDecimal value)

      Sets the value of the outputReference property.
      Parameters:
        `value` - allowed object is `BigDecimal`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.